<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Scripts/4_world/dayzexpansion/classes/systems/mapping/expansionworldobjectsmodule.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('db/da1/a08985_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionworldobjectsmodule.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../db/da1/a08985.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionWorldObjectsModule.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d7/da9/a06689.html">   13</a></span>modded <span class="keyword">class </span><a class="code hl_class" href="../../d7/da9/a06689.html">ExpansionWorldObjectsModule</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d7/da9/a06689.html#ab2a2bdf00d3f3e5d239e14700961233a">   15</a></span>    <span class="keyword">static</span> ref ScriptInvoker <a class="code hl_variable" href="../../d7/da9/a06689.html#ab2a2bdf00d3f3e5d239e14700961233a">SI_LampEnable</a> = <span class="keyword">new</span> ScriptInvoker();</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d7/da9/a06689.html#a31e16ba5dbbc21a957b2a141d71a7b3a">   16</a></span>    <span class="keyword">static</span> ref ScriptInvoker <a class="code hl_variable" href="../../d7/da9/a06689.html#a31e16ba5dbbc21a957b2a141d71a7b3a">SI_LampDisable</a> = <span class="keyword">new</span> ScriptInvoker();</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span> </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../d7/da9/a06689.html#aa2cba64eea384c4a2e88611c69da21b3">   18</a></span>    <span class="keyword">private</span> autoptr array&lt; vector &gt; <a class="code hl_variable" href="../../d7/da9/a06689.html#aa2cba64eea384c4a2e88611c69da21b3">m_LightGenerators</a>;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../d7/da9/a06689.html#af32d34cbb978eda046e8b3552483f72e">   20</a></span>    <span class="keyword">private</span> <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d7/da9/a06689.html#af32d34cbb978eda046e8b3552483f72e">m_WorldName</a>;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    <span class="comment">// ExpansionWorldObjectsModule Constructor</span></div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../d7/da9/a06689.html#a98627660923cf7959039f9eb1cd157ac">   25</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/da9/a06689.html#a98627660923cf7959039f9eb1cd157ac">ExpansionWorldObjectsModule</a>()</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    {</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <a class="code hl_variable" href="../../d7/da9/a06689.html#aa2cba64eea384c4a2e88611c69da21b3">m_LightGenerators</a> = <span class="keyword">new</span> array&lt; vector &gt;;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    }</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    <span class="comment">// Expansion OnInit</span></div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="../../d7/da9/a06689.html#a4a1bd17269d478d05b3ba0f7bb85f95a">   33</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/da9/a06689.html#a4a1bd17269d478d05b3ba0f7bb85f95a">OnInit</a>()</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    {</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        super.OnInit();</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        EnableMissionLoaded();</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    }</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="../../d7/da9/a06689.html#a8a132c9cb7414b37a5c3cadbc49f47bf">   40</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/da9/a06689.html#a8a132c9cb7414b37a5c3cadbc49f47bf">OnMissionStart</a>(Class sender, CF_EventArgs args)</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    {</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        super.OnMissionStart(sender, args);</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span> </div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        <span class="keywordflow">if</span> (!GetGame().IsServer())</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span> </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        <a class="code hl_variable" href="../../d7/da9/a06689.html#af32d34cbb978eda046e8b3552483f72e">m_WorldName</a> = <a class="code hl_class" href="../../df/d88/a04241.html">ExpansionStatic</a>.<a class="code hl_function" href="../../df/d88/a04241.html#a8fd9b735b11fcdd675bcfbc9e4365b51">GetCanonicalWorldName</a>();</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span> </div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        <span class="keywordflow">if</span> (<a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().GetGeneral().Mapping &amp;&amp; <a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().GetGeneral().Mapping.UseCustomMappingModule)</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        {</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>            <span class="keywordflow">foreach</span> (<span class="keywordtype">string</span> <a class="code hl_variable" href="../../dc/dce/a01505.html#ac884e55f04581066557cb0154a82a44a">name</a>: <a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().GetGeneral().Mapping.Mapping)</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>            {</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>                LoadObjectsFile(<a class="code hl_variable" href="../../de/d5d/a08769.html#a7cc200c783f350186bc0feecb6f6103c">EXPANSION_MAPPING_FOLDER</a> + <a class="code hl_variable" href="../../d7/da9/a06689.html#af32d34cbb978eda046e8b3552483f72e">m_WorldName</a> + <span class="stringliteral">&quot;/&quot;</span> + <a class="code hl_variable" href="../../dc/dce/a01505.html#ac884e55f04581066557cb0154a82a44a">name</a> + <a class="code hl_variable" href="../../de/d5d/a08769.html#a893578234d6be0cb71f3fae0d0aca300">EXPANSION_MAPPING_EXT</a>);</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>            }</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span> </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        }</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    }</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span> </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    <span class="comment">// Expansion OnMissionLoaded</span></div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno"><a class="line" href="../../d7/da9/a06689.html#a717d99ed513b6942eb3ae175d5193d95">   62</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/da9/a06689.html#a717d99ed513b6942eb3ae175d5193d95">OnMissionLoaded</a>(Class sender, CF_EventArgs args)</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    {</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        super.OnMissionLoaded(sender, args);</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span> </div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        <span class="keywordflow">if</span> ( !IsMissionOffline() &amp;&amp; IsMissionClient() )</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        {</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>            ScriptRPC rpc = <span class="keyword">new</span> ScriptRPC();</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>            rpc.Send( NULL, <a class="code hl_enumeration" href="../../d0/d7e/a00770.html#a07a9b27951a724753159571cc34ab202">ExpansionWorldObjectsModuleRPC</a>.Load, <span class="keyword">true</span> );</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        }</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>    }</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    </div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>    <span class="comment">// Expansion OnRPC</span></div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    <span class="comment">// ------------------------------------------------------------ </span></div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno"><a class="line" href="../../d7/da9/a06689.html#a37cf37498fd546def63c922fcf5dabc8">   76</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/da9/a06689.html#a37cf37498fd546def63c922fcf5dabc8">OnRPC</a>(Class sender, CF_EventArgs args)</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    {</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        super.OnRPC(sender, args);</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span> </div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        <span class="keyword">auto</span> rpc = CF_EventRPCArgs.Cast(args);</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span> </div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        <span class="keywordflow">switch</span> ( rpc.ID )</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        {</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>        <span class="keywordflow">case</span> <a class="code hl_enumeration" href="../../d0/d7e/a00770.html#a07a9b27951a724753159571cc34ab202">ExpansionWorldObjectsModuleRPC</a>.TurnOn:</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>            <a class="code hl_function" href="../../d7/da9/a06689.html#a9d336bb4bbcafcff509fbd43146f6d23">RPC_TurnOn</a>( rpc.Context, rpc.Sender, rpc.Target );</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        <span class="keywordflow">case</span> <a class="code hl_enumeration" href="../../d0/d7e/a00770.html#a07a9b27951a724753159571cc34ab202">ExpansionWorldObjectsModuleRPC</a>.TurnOff:</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>            <a class="code hl_function" href="../../d7/da9/a06689.html#aab081bead520ba6794cd2915d63afdd8">RPC_TurnOff</a>( rpc.Context, rpc.Sender, rpc.Target );</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>        <span class="keywordflow">case</span> <a class="code hl_enumeration" href="../../d0/d7e/a00770.html#a07a9b27951a724753159571cc34ab202">ExpansionWorldObjectsModuleRPC</a>.Load:</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>            <a class="code hl_function" href="../../d7/da9/a06689.html#a76d4f3f3298d60ed702f03ec387d1b7a">RPC_Load</a>( rpc.Context, rpc.Sender, rpc.Target );</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        }</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>    }</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    </div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>    <span class="comment">// Expansion RPC_TurnOn</span></div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>    <span class="comment">// ------------------------------------------------------------ </span></div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno"><a class="line" href="../../d7/da9/a06689.html#a9d336bb4bbcafcff509fbd43146f6d23">   99</a></span>    <span class="keyword">private</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/da9/a06689.html#a9d336bb4bbcafcff509fbd43146f6d23">RPC_TurnOn</a>( ParamsReadContext ctx, PlayerIdentity senderRPC, Object target )</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>    {</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>        <span class="keywordflow">if</span> ( IsMissionHost() )</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span> </div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>        vector <a class="code hl_variable" href="../../d2/d11/a02384.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a>;</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>        <span class="keywordflow">if</span> ( ctx.Read( <a class="code hl_variable" href="../../d2/d11/a02384.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a> ) )</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>        {</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>            <a class="code hl_variable" href="../../d7/da9/a06689.html#aa2cba64eea384c4a2e88611c69da21b3">m_LightGenerators</a>.Insert( <a class="code hl_variable" href="../../d2/d11/a02384.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a> );</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>            <a class="code hl_variable" href="../../d7/da9/a06689.html#ab2a2bdf00d3f3e5d239e14700961233a">SI_LampEnable</a>.Invoke( <a class="code hl_variable" href="../../d2/d11/a02384.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a> );</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        }</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>    }</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>    </div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>    <span class="comment">// Expansion RPC_TurnOff</span></div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>    <span class="comment">// ------------------------------------------------------------ </span></div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno"><a class="line" href="../../d7/da9/a06689.html#aab081bead520ba6794cd2915d63afdd8">  115</a></span>    <span class="keyword">private</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/da9/a06689.html#aab081bead520ba6794cd2915d63afdd8">RPC_TurnOff</a>( ParamsReadContext ctx, PlayerIdentity senderRPC, Object target )</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>    {</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>        <span class="keywordflow">if</span> ( IsMissionHost() )</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span> </div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>        vector <a class="code hl_variable" href="../../d2/d11/a02384.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a>;</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>        <span class="keywordflow">if</span> ( ctx.Read( <a class="code hl_variable" href="../../d2/d11/a02384.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a> ) )</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>        {</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>            <a class="code hl_variable" href="../../d7/da9/a06689.html#aa2cba64eea384c4a2e88611c69da21b3">m_LightGenerators</a>.RemoveItem( <a class="code hl_variable" href="../../d2/d11/a02384.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a> );</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>            <a class="code hl_variable" href="../../d7/da9/a06689.html#a31e16ba5dbbc21a957b2a141d71a7b3a">SI_LampDisable</a>.Invoke( <a class="code hl_variable" href="../../d2/d11/a02384.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a> );</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>        }</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>    }</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>    </div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>    <span class="comment">// Expansion RPC_Load</span></div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>    <span class="comment">// ------------------------------------------------------------ </span></div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno"><a class="line" href="../../d7/da9/a06689.html#a76d4f3f3298d60ed702f03ec387d1b7a">  131</a></span>    <span class="keyword">private</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/da9/a06689.html#a76d4f3f3298d60ed702f03ec387d1b7a">RPC_Load</a>( ParamsReadContext ctx, PlayerIdentity senderRPC, Object target )</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>    {</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>        <span class="keywordflow">if</span> ( IsMissionHost() )</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>        {</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>            ScriptRPC rpc = <span class="keyword">new</span> ScriptRPC();</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>            rpc.Write( <a class="code hl_variable" href="../../d7/da9/a06689.html#aa2cba64eea384c4a2e88611c69da21b3">m_LightGenerators</a> );</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>            rpc.Send( NULL, <a class="code hl_enumeration" href="../../d0/d7e/a00770.html#a07a9b27951a724753159571cc34ab202">ExpansionWorldObjectsModuleRPC</a>.Load, <span class="keyword">true</span>, senderRPC );</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>        } <span class="keywordflow">else</span></div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>        {</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>            ctx.Read( <a class="code hl_variable" href="../../d7/da9/a06689.html#aa2cba64eea384c4a2e88611c69da21b3">m_LightGenerators</a> );</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span> </div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>            <span class="keywordflow">for</span> ( <span class="keywordtype">int</span> i = 0; i &lt; <a class="code hl_variable" href="../../d7/da9/a06689.html#aa2cba64eea384c4a2e88611c69da21b3">m_LightGenerators</a>.Count(); i++ )</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>            {</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>                <a class="code hl_variable" href="../../d7/da9/a06689.html#ab2a2bdf00d3f3e5d239e14700961233a">SI_LampEnable</a>.Invoke( <a class="code hl_variable" href="../../d7/da9/a06689.html#aa2cba64eea384c4a2e88611c69da21b3">m_LightGenerators</a>[i] );</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>            }</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>        }</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>    }</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>    </div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>    <span class="comment">// Expansion TurnOnGenerator</span></div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>    <span class="comment">// ------------------------------------------------------------ </span></div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno"><a class="line" href="../../d7/da9/a06689.html#a673e41b1af586ead8c556d812e4b81eb">  152</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/da9/a06689.html#a673e41b1af586ead8c556d812e4b81eb">TurnOnGenerator</a>( vector <a class="code hl_variable" href="../../d2/d11/a02384.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a> )</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>    {</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span><span class="preprocessor">        #ifdef EXPANSION_MAPPING_MODULE_DEBUG</span></div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>        <a class="code hl_function" href="../../d5/d72/a00803.html#a676a710eadd0678b1181aee5e3e329a9">EXLogPrint</a>(<span class="stringliteral">&quot;TurnOnGenerator - Start - &quot;</span> + <a class="code hl_variable" href="../../d2/d11/a02384.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a> );</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span> </div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>        <a class="code hl_variable" href="../../d7/da9/a06689.html#aa2cba64eea384c4a2e88611c69da21b3">m_LightGenerators</a>.Insert( <a class="code hl_variable" href="../../d2/d11/a02384.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a> );</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span> </div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>        <span class="keywordflow">if</span> ( IsMissionOffline() )</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>        {</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>            <a class="code hl_variable" href="../../d7/da9/a06689.html#ab2a2bdf00d3f3e5d239e14700961233a">SI_LampEnable</a>.Invoke( <a class="code hl_variable" href="../../d2/d11/a02384.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a> );</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>        } <span class="keywordflow">else</span></div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>        {</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>            ScriptRPC rpc = <span class="keyword">new</span> ScriptRPC();</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>            rpc.Write( <a class="code hl_variable" href="../../d2/d11/a02384.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a> );</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>            rpc.Send( NULL, <a class="code hl_enumeration" href="../../d0/d7e/a00770.html#a07a9b27951a724753159571cc34ab202">ExpansionWorldObjectsModuleRPC</a>.TurnOn, <span class="keyword">true</span>, NULL );</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>        }</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span> </div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span><span class="preprocessor">        #ifdef EXPANSION_MAPPING_MODULE_DEBUG</span></div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>        <a class="code hl_function" href="../../d5/d72/a00803.html#a676a710eadd0678b1181aee5e3e329a9">EXLogPrint</a>(<span class="stringliteral">&quot;TurnOnGenerator - End - &quot;</span> + <a class="code hl_variable" href="../../d2/d11/a02384.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a> );</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>    }</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>    </div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>    <span class="comment">// Expansion TurnOffGenerator</span></div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>    <span class="comment">// ------------------------------------------------------------ </span></div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno"><a class="line" href="../../d7/da9/a06689.html#adc1981c78963866dcf5155f08c6c2271">  178</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/da9/a06689.html#adc1981c78963866dcf5155f08c6c2271">TurnOffGenerator</a>( vector <a class="code hl_variable" href="../../d2/d11/a02384.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a> )</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>    {</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span><span class="preprocessor">        #ifdef EXPANSION_MAPPING_MODULE_DEBUG</span></div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>        <a class="code hl_function" href="../../d5/d72/a00803.html#a676a710eadd0678b1181aee5e3e329a9">EXLogPrint</a>(<span class="stringliteral">&quot;TurnOffGenerator - Start - &quot;</span> + <a class="code hl_variable" href="../../d2/d11/a02384.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a> );</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span> </div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>        <a class="code hl_variable" href="../../d7/da9/a06689.html#aa2cba64eea384c4a2e88611c69da21b3">m_LightGenerators</a>.RemoveItem( <a class="code hl_variable" href="../../d2/d11/a02384.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a> );</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span> </div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>        <span class="keywordflow">if</span> ( IsMissionOffline() )</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>        {</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>            <a class="code hl_variable" href="../../d7/da9/a06689.html#a31e16ba5dbbc21a957b2a141d71a7b3a">SI_LampDisable</a>.Invoke( <a class="code hl_variable" href="../../d2/d11/a02384.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a> );</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>        } </div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>        {</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>            ScriptRPC rpc = <span class="keyword">new</span> ScriptRPC();</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>            rpc.Write( <a class="code hl_variable" href="../../d2/d11/a02384.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a> );</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>            rpc.Send( NULL, <a class="code hl_enumeration" href="../../d0/d7e/a00770.html#a07a9b27951a724753159571cc34ab202">ExpansionWorldObjectsModuleRPC</a>.TurnOff, <span class="keyword">true</span>, NULL );</div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span>        }</div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span> </div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span><span class="preprocessor">        #ifdef EXPANSION_MAPPING_MODULE_DEBUG</span></div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>        <a class="code hl_function" href="../../d5/d72/a00803.html#a676a710eadd0678b1181aee5e3e329a9">EXLogPrint</a>(<span class="stringliteral">&quot;TurnOffGenerator - End - &quot;</span> + <a class="code hl_variable" href="../../d2/d11/a02384.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a> );</div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>    }</div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>};</div>
<div class="ttc" id="aa00770_html_a07a9b27951a724753159571cc34ab202"><div class="ttname"><a href="../../d0/d7e/a00770.html#a07a9b27951a724753159571cc34ab202">ExpansionWorldObjectsModuleRPC</a></div><div class="ttdeci">ExpansionWorldObjectsModuleRPC</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d7e/a00770_source.html#l00034">expansionrpc.c:35</a></div></div>
<div class="ttc" id="aa00803_html_a676a710eadd0678b1181aee5e3e329a9"><div class="ttname"><a href="../../d5/d72/a00803.html#a676a710eadd0678b1181aee5e3e329a9">EXLogPrint</a></div><div class="ttdeci">static void EXLogPrint(string s)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d72/a00803_source.html#l00040">expansionstatic.c:40</a></div></div>
<div class="ttc" id="aa01505_html_ac884e55f04581066557cb0154a82a44a"><div class="ttname"><a href="../../dc/dce/a01505.html#ac884e55f04581066557cb0154a82a44a">name</a></div><div class="ttdeci">class ExpansionMarketOutputs name</div></div>
<div class="ttc" id="aa02384_html_a764a35c2d73b3fff21cd85b6baf13df4"><div class="ttname"><a href="../../d2/d11/a02384.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a></div><div class="ttdeci">vector position</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d11/a02384_source.html#l00020">expansioninteriorbuildingmodule.c:20</a></div></div>
<div class="ttc" id="aa04241_html"><div class="ttname"><a href="../../df/d88/a04241.html">ExpansionStatic</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d72/a00803_source.html#l00074">expansionstatic.c:75</a></div></div>
<div class="ttc" id="aa04241_html_a8fd9b735b11fcdd675bcfbc9e4365b51"><div class="ttname"><a href="../../df/d88/a04241.html#a8fd9b735b11fcdd675bcfbc9e4365b51">ExpansionStatic::GetCanonicalWorldName</a></div><div class="ttdeci">static string GetCanonicalWorldName(CGame game=NULL)</div><div class="ttdoc">return lowercase game world name, with &quot;gloom&quot; suffix removed (if present)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d72/a00803_source.html#l01071">expansionstatic.c:1071</a></div></div>
<div class="ttc" id="aa06689_html"><div class="ttname"><a href="../../d7/da9/a06689.html">ExpansionWorldObjectsModule</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/da1/a08985_source.html#l00013">expansionworldobjectsmodule.c:14</a></div></div>
<div class="ttc" id="aa06689_html_a31e16ba5dbbc21a957b2a141d71a7b3a"><div class="ttname"><a href="../../d7/da9/a06689.html#a31e16ba5dbbc21a957b2a141d71a7b3a">ExpansionWorldObjectsModule::SI_LampDisable</a></div><div class="ttdeci">static ref ScriptInvoker SI_LampDisable</div><div class="ttdef"><b>Definition:</b> <a href="../../db/da1/a08985_source.html#l00016">expansionworldobjectsmodule.c:16</a></div></div>
<div class="ttc" id="aa06689_html_a37cf37498fd546def63c922fcf5dabc8"><div class="ttname"><a href="../../d7/da9/a06689.html#a37cf37498fd546def63c922fcf5dabc8">ExpansionWorldObjectsModule::OnRPC</a></div><div class="ttdeci">override void OnRPC(Class sender, CF_EventArgs args)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/da1/a08985_source.html#l00076">expansionworldobjectsmodule.c:76</a></div></div>
<div class="ttc" id="aa06689_html_a4a1bd17269d478d05b3ba0f7bb85f95a"><div class="ttname"><a href="../../d7/da9/a06689.html#a4a1bd17269d478d05b3ba0f7bb85f95a">ExpansionWorldObjectsModule::OnInit</a></div><div class="ttdeci">override void OnInit()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/da1/a08985_source.html#l00033">expansionworldobjectsmodule.c:33</a></div></div>
<div class="ttc" id="aa06689_html_a673e41b1af586ead8c556d812e4b81eb"><div class="ttname"><a href="../../d7/da9/a06689.html#a673e41b1af586ead8c556d812e4b81eb">ExpansionWorldObjectsModule::TurnOnGenerator</a></div><div class="ttdeci">void TurnOnGenerator(vector position)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/da1/a08985_source.html#l00152">expansionworldobjectsmodule.c:152</a></div></div>
<div class="ttc" id="aa06689_html_a717d99ed513b6942eb3ae175d5193d95"><div class="ttname"><a href="../../d7/da9/a06689.html#a717d99ed513b6942eb3ae175d5193d95">ExpansionWorldObjectsModule::OnMissionLoaded</a></div><div class="ttdeci">override void OnMissionLoaded(Class sender, CF_EventArgs args)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/da1/a08985_source.html#l00062">expansionworldobjectsmodule.c:62</a></div></div>
<div class="ttc" id="aa06689_html_a76d4f3f3298d60ed702f03ec387d1b7a"><div class="ttname"><a href="../../d7/da9/a06689.html#a76d4f3f3298d60ed702f03ec387d1b7a">ExpansionWorldObjectsModule::RPC_Load</a></div><div class="ttdeci">private void RPC_Load(ParamsReadContext ctx, PlayerIdentity senderRPC, Object target)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/da1/a08985_source.html#l00131">expansionworldobjectsmodule.c:131</a></div></div>
<div class="ttc" id="aa06689_html_a8a132c9cb7414b37a5c3cadbc49f47bf"><div class="ttname"><a href="../../d7/da9/a06689.html#a8a132c9cb7414b37a5c3cadbc49f47bf">ExpansionWorldObjectsModule::OnMissionStart</a></div><div class="ttdeci">override void OnMissionStart(Class sender, CF_EventArgs args)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/da1/a08985_source.html#l00040">expansionworldobjectsmodule.c:40</a></div></div>
<div class="ttc" id="aa06689_html_a98627660923cf7959039f9eb1cd157ac"><div class="ttname"><a href="../../d7/da9/a06689.html#a98627660923cf7959039f9eb1cd157ac">ExpansionWorldObjectsModule::ExpansionWorldObjectsModule</a></div><div class="ttdeci">void ExpansionWorldObjectsModule()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/da1/a08985_source.html#l00025">expansionworldobjectsmodule.c:25</a></div></div>
<div class="ttc" id="aa06689_html_a9d336bb4bbcafcff509fbd43146f6d23"><div class="ttname"><a href="../../d7/da9/a06689.html#a9d336bb4bbcafcff509fbd43146f6d23">ExpansionWorldObjectsModule::RPC_TurnOn</a></div><div class="ttdeci">private void RPC_TurnOn(ParamsReadContext ctx, PlayerIdentity senderRPC, Object target)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/da1/a08985_source.html#l00099">expansionworldobjectsmodule.c:99</a></div></div>
<div class="ttc" id="aa06689_html_aa2cba64eea384c4a2e88611c69da21b3"><div class="ttname"><a href="../../d7/da9/a06689.html#aa2cba64eea384c4a2e88611c69da21b3">ExpansionWorldObjectsModule::m_LightGenerators</a></div><div class="ttdeci">private autoptr array&lt; vector &gt; m_LightGenerators</div><div class="ttdef"><b>Definition:</b> <a href="../../db/da1/a08985_source.html#l00018">expansionworldobjectsmodule.c:18</a></div></div>
<div class="ttc" id="aa06689_html_aab081bead520ba6794cd2915d63afdd8"><div class="ttname"><a href="../../d7/da9/a06689.html#aab081bead520ba6794cd2915d63afdd8">ExpansionWorldObjectsModule::RPC_TurnOff</a></div><div class="ttdeci">private void RPC_TurnOff(ParamsReadContext ctx, PlayerIdentity senderRPC, Object target)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/da1/a08985_source.html#l00115">expansionworldobjectsmodule.c:115</a></div></div>
<div class="ttc" id="aa06689_html_ab2a2bdf00d3f3e5d239e14700961233a"><div class="ttname"><a href="../../d7/da9/a06689.html#ab2a2bdf00d3f3e5d239e14700961233a">ExpansionWorldObjectsModule::SI_LampEnable</a></div><div class="ttdeci">static ref ScriptInvoker SI_LampEnable</div><div class="ttdef"><b>Definition:</b> <a href="../../db/da1/a08985_source.html#l00015">expansionworldobjectsmodule.c:15</a></div></div>
<div class="ttc" id="aa06689_html_adc1981c78963866dcf5155f08c6c2271"><div class="ttname"><a href="../../d7/da9/a06689.html#adc1981c78963866dcf5155f08c6c2271">ExpansionWorldObjectsModule::TurnOffGenerator</a></div><div class="ttdeci">void TurnOffGenerator(vector position)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/da1/a08985_source.html#l00178">expansionworldobjectsmodule.c:178</a></div></div>
<div class="ttc" id="aa06689_html_af32d34cbb978eda046e8b3552483f72e"><div class="ttname"><a href="../../d7/da9/a06689.html#af32d34cbb978eda046e8b3552483f72e">ExpansionWorldObjectsModule::m_WorldName</a></div><div class="ttdeci">private string m_WorldName</div><div class="ttdef"><b>Definition:</b> <a href="../../db/da1/a08985_source.html#l00020">expansionworldobjectsmodule.c:20</a></div></div>
<div class="ttc" id="aa08424_html_a0a20d14d2f55a927a3b0eab0623f5cf9"><div class="ttname"><a href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a></div><div class="ttdeci">static ExpansionSettings GetExpansionSettings()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d94/a08424_source.html#l00254">expansionsettings.c:254</a></div></div>
<div class="ttc" id="aa08769_html_a7cc200c783f350186bc0feecb6f6103c"><div class="ttname"><a href="../../de/d5d/a08769.html#a7cc200c783f350186bc0feecb6f6103c">EXPANSION_MAPPING_FOLDER</a></div><div class="ttdeci">static const string EXPANSION_MAPPING_FOLDER</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5d/a08769_source.html#l00093">expansionconstants.c:93</a></div></div>
<div class="ttc" id="aa08769_html_a893578234d6be0cb71f3fae0d0aca300"><div class="ttname"><a href="../../de/d5d/a08769.html#a893578234d6be0cb71f3fae0d0aca300">EXPANSION_MAPPING_EXT</a></div><div class="ttdeci">static const string EXPANSION_MAPPING_EXT</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5d/a08769_source.html#l00094">expansionconstants.c:94</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_5b6a53149ee7579c80529fd9998a2b4c.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_864c6f328578ae932bfe3d376685b434.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_be440f22580ce99ff5165b31aacfa13d.html">dayzexpansion</a></li><li class="navelem"><a class="el" href="../../dir_610f62f19343ccd97bce22d942ff22b3.html">classes</a></li><li class="navelem"><a class="el" href="../../dir_f1945fb34dbf9c110560b81d2c79c3a2.html">systems</a></li><li class="navelem"><a class="el" href="../../dir_658008ee2b3766882b618d5437a80d9d.html">mapping</a></li><li class="navelem"><a class="el" href="../../db/da1/a08985.html">expansionworldobjectsmodule.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
